Dawgs
+ Parameters
Section:
Group Dawgs. Base URL:https://api.instance_name.meiro.io/.
Dawgs [/dawgs{?limit,offset,order_by,order_dir,name_filter,tag_ids,show_enabled,show_disabled,load_full_structure}]
List All Dawgs [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- name_filter (string, optional) - Dawgs' name filter
- tag_ids (array, optional) - Dawgs' tags filter
- show_enabled (bool, optional) - Show enabled dawgs
- show_disabled (bool, optional) - Show disabled dawgs
- load_full_structure (number, optional) - Full data structure return flag
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawgs": [
{
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
],
"notification_emails": ["mr@foo.test"]
},
"frontend_settings": {},
"disabled": 0,
"deleted": 0,
"last_run": "2017-02-01 15:35:00",
"last_run_duration": 60,
"author_id": 400,
"tags": [],
"example_workspaces": []
"workspaces_count": 0
"created": "2017-01-01 15:35:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC",
"name_filter": null,
"tag_ids": null,
"show_enabled": true,
"show_disabled": true
}
}Create a Dawg [POST]
-
Parameters
- load_full_structure (number, optional) - Full data structure return flag
-
Attributes
- name:
example dawg(string) - settings:
{"schedules": [{"minute": "*"}]}(string) - optional (json) - description:
dawg description(string) - optional - disabled:
0(number) - optional
- name:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
{
"dawg": {
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
],
"notification_emails": ["mr@foo.test"]
},
"frontend_settings": {},
"disabled": 0,
"deleted": 0,
"created": "2017-01-01 15:35:00"
}
}Dawg [/dawgs/{dawg_id}{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Retrieve a Dawg [GET]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg": {
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
],
"notification_emails": ["mr@foo.test"]
},
"frontend_settings": {},
"disabled": 0,
"deleted": 0,
"last_run": "2017-02-01 15:35:00",
"last_run_duration": 60,
"author_id": 400,
"tags": [],
"created": "2017-01-01 15:35:00"
}
}Modify a Dawg [PATCH]
-
Attributes
- name:
example dawg(string) - optional - settings:
{}(string) - optional (json) - description:
dawg description(string) - optional - disabled:
0(number) - optional
- name:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg": {
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
],
"notification_emails": ["mr@foo.test"]
},
"frontend_settings": {},
"disabled": 0,
"deleted": 0,
"last_run": "2017-02-01 15:35:00",
"author_id": 400,
"tags": [],
"created": "2017-01-01 15:35:00"
}
}Delete a Dawg [DELETE]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"message": "OK"
}Change Dawg owner [/dawgs/{dawg_id}/owner{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Change Dawg owner [PATCH]
-
Attributes
- user_id:
2(number) - required
- user_id:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg": {
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
],
"notification_emails": ["mr@foo.test"]
},
"frontend_settings": {},
"disabled": 0,
"deleted": 0,
"last_run": "2017-02-01 15:35:00",
"author_id": 400,
"tags": [],
"created": "2017-01-01 15:35:00"
}
}Dawg's history list [/dawgs/{dawg_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]
Retrieve a Dawg's History List [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"history_list": [
{
"id": null,
"dawg": {
"id": 200,
"user_id": 300,
"name": "example dawg",
"description": "dawg description",
"settings": {},
"frontend_settings": {},
"disabled": 0,
"created": "2017-01-01 15:35:00"
},
"previous_history": {
"id": 100,
"dawg": {
"id": 200,
"user_id": 300,
"name": "test",
"description": "dawg description",
"settings": {},
"frontend_settings": {},
"disabled": 0,
"created": "2017-01-01 11:35:00"
}
}
},
{
"id": "100",
"dawg": {
"id": 200,
"user_id": 300,
"name": "test",
"description": "dawg description",
"settings": {},
"frontend_settings": {},
"disabled": 0,
"created": "2017-01-01 11:35:00"
}
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Dawg's history item [/dawgs/{dawg_id}/history/{history_id}{?load_full_structure}]
Retrieve a Dawg's History Item [GET]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"history": {
"id": "100",
"dawg": {
"id": 200,
"user_id": 300,
"name": "example dawg",
"description": "dawg description",
"settings": {},
"frontend_settings": {},
"disabled": 0,
"created": "2017-01-01 15:35:00"
},
"previous_history": {
"id": 200,
"dawg": {
"id": 200,
"user_id": 300,
"name": "test",
"description": "dawg description",
"settings": {},
"frontend_settings": {},
"disabled": 0,
"created": "2017-01-01 11:35:00"
}
}
}
}Revert a Dawg's History Item [PATCH]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg": {
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {},
"frontend_settings": {},
"disabled": 0,
"created": "2017-01-01 15:35:00"
}
}Trashed Dawgs [/dawgs/trash{?limit,offset,order_by,order_dir,load_full_structure}]
List All Trashed Dawgs [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"trashed_dawgs": [
{
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
]
},
"disabled": 0,
"deleted": 1,
"created": "2017-01-01 15:35:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Trashed Dawg [/dawgs/trash/{dawg_id}{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Restore a Trashed Dawg [PATCH]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg": {
"id": 100,
"user_id": 200,
"name": "example dawg",
"description": "dawg description",
"settings": {
"schedules": [
{
"minute": "*",
"hour": "*",
"day": "*",
"month": "*",
"day_of_week": "*"
}
]
},
"frontend_settings": {},
"variables": {},
"disabled": 0,
"deleted": 0,
"created": "2017-01-01 15:35:00"
}
}Dawg Jobs [/dawgs/{dawg_id}/jobs{?limit,offset,order_by,order_dir,load_full_structure}]
- Entity's
statuspossible values:waiting,running,finished,error,canceled
List All Dawg Jobs [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg_jobs": [
{
"id": 100,
"user_id": 200,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {
"statuses_history": {
"waiting": "2017-11-04 07:57:12",
"running": "2017-11-04 07:57:14",
"finished": "2017-11-04 07:57:20",
}
},
"created": "2017-01-01 15:35:00",
"origin_created": "2017-01-01 15:30:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Run a Dawg Job [POST]
-
Parameters
- load_full_structure (number, optional) - Full data structure return flag
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
{
"dawg_job": {
"id": 100,
"user_id": 200,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {
"statuses_history": {
"waiting": "2017-11-04 07:57:12",
"running": "2017-11-04 07:57:14",
"finished": "2017-11-04 07:57:20",
}
},
"created": "2017-01-01 15:35:00"
}
}Dawg Job [/dawgs/{dawg_id}/jobs/{job_id}{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Retrieve a Dawg Job [GET]
-
Entity's
statuspossible values:waiting,running,finished,error,canceled -
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg_job": {
"id": 100,
"user_id": 200,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {
"statuses_history": {
"waiting": "2017-11-04 07:57:12",
"running": "2017-11-04 07:57:14",
"finished": "2017-11-04 07:57:20",
}
},
"created": "2017-01-01 15:35:00",
"origin_created": "2017-01-01 15:30:00"
}
}Cancel a Dawg Job [DELETE]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"message": "OK"
}Dawg job's history list [/dawgs/{dawg_id}/jobs/{job_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]
- Entity's
statuspossible values:waiting,running,finished,error,canceled
Retrieve a Dawg's History List [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"history_list": [
{
"id": null,
"dawg_job": {
"id": 200,
"user_id": 300,
"dawg_id": 300,
"status": "running",
"settings": {},
"stats": {},
"created": "2017-01-01 15:35:00"
},
"previous_history": {
"id": 100,
"dawg_job": {
"id": 200,
"user_id": 300,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {},
"created": "2017-01-01 11:35:00"
}
}
},
{
"id": "100",
"dawg_job": {
"id": 200,
"user_id": 300,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {},
"created": "2017-01-01 11:35:00"
}
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Dawg job's history item [/dawgs/{dawg_id}/jobs/{job_id}/history/{history_id}{?load_full_structure}]
- Entity's
statuspossible values:waiting,running,finished,error,canceled
Retrieve a Dawg job's History Item [GET]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"history": {
"id": "100",
"dawg_job": {
"id": 200,
"user_id": 300,
"dawg_id": 300,
"status": "running",
"settings": {},
"stats": {},
"created": "2017-01-01 15:35:00"
},
"previous_history": {
"id": 200,
"dawg_job": {
"id": 200,
"user_id": 300,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {},
"created": "2017-01-01 11:35:00"
}
}
}
}Project Dawg Jobs [/dawg_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_dawgs_jobs}]
-
Entity's
statuspossible values:waiting,running,finished,error,canceled -
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
- include_deleted_dawgs_jobs (number, optional) - Load deleted dawgs' jobs flag
List All Dawg Jobs in a Project [GET]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg_jobs": [
{
"id": 100,
"user_id": 200,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {},
"created": "2017-01-01 15:35:00",
"origin_created": "2017-01-01 15:30:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Dawgs' Last Jobs [/dawgs/last_jobs{?dawg_ids,load_full_structure}]
-
Entity's
statuspossible values:waiting,running,finished,error,canceled -
Parameters
- dawg_ids (array, optional) - Wanted dawg IDs
- load_full_structure (number, optional) - Full data structure return flag
List Dawgs' Last Jobs [GET]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"last_dawg_jobs": [
{
"dawg_id": 300,
"last_job": {
"id": 100,
"user_id": 200,
"dawg_id": 300,
"status": "waiting",
"settings": {},
"stats": {},
"created": "2017-01-01 15:35:00",
"origin_created": "2017-01-01 15:30:00"
}
}
],
"selection_settings": {
"dawg_ids": [300]
}
}Dawg Logs [/dawgs/{dawg_id}/jobs/{job_id}/logs{?limit,offset,order_by,order_dir,load_full_structure}]
- Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
List All Dawg Logs [GET]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg_logs": [
{
"id": 100,
"dawg_job_id": 200,
"level": "info",
"text": "log text",
"created": "2017-01-01 15:35:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Dawg Log [/dawgs/{dawg_id}/jobs/{job_id}/logs/{log_id}{?load_full_structure}]
- Parameters
- load_full_structure (number, optional) - Full data structure return flag
Retrieve a Dawg Log [GET]
-
Request
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg_log": {
"id": 100,
"dawg_job_id": 200,
"level": "info",
"text": "log text",
"created": "2017-01-01 15:35:00"
}
}